apiVersion: v1
kind: Pod
metadata:
  name: disallow-privileged-containers-bad
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: SYS.1.6.A17
spec:
  containers:
  - name: disallow-privileged-containers-bad
    image: nginxinc/nginx-unprivileged
    securityContext:
      privileged: true
---
apiVersion: v1
kind: Pod
metadata:
  name: disallow-privileged-containers-good
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: must
    policies.opencode.de/bsi-requirement: SYS.1.6.A17
spec:
  containers:
  - name: disallow-privileged-containers-good
    image: nginxinc/nginx-unprivileged
    securityContext:
      privileged: false
